"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b02940>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b029d0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b02a60>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b02af0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b02b80>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b02c10>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b02ca0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b02d30>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b02dc0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b02e50>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b02ee0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b02f70>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07040>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b070d0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07160>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b071f0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07280>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07310>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b073a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07430>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b074c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07550>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b075e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07670>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07790>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07700>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07820>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b078b0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07940>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b079d0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07a60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07af0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07b80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07c10>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07ca0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07d30>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07dc0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07e50>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07ee0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b07f70>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b040>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b0d0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b160>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b1f0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b280>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b310>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b3a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b430>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b4c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b550>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b5e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b670>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b700>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b790>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b820>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b8b0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b940>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0b9d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0ba60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0baf0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0bb80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0bc10>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0bca0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0bd30>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0bdc0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0be50>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e040>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0bee0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e0d0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e160>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e1f0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e280>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e310>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e430>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e3a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e4c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e550>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e5e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e700>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e670>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e790>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e820>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e8b0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e940>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0e9d0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffb1b0ea60>)]
name: str = 'fr_HOCCN'
